Download it now!
Bug 122006 - GTK3: Format Cell dialog hangs for some seconds while launching
Summary: GTK3: Format Cell dialog hangs for some seconds while launching
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.0.0.beta1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2018-12-10 10:32 UTC by Xisco Faulí
Modified: 2019-02-07 14:07 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-12-10 10:32:15 UTC
Steps to reproduce:
1. Open Calc
2. Format - Cells
3. Switch to another tab

-> it takes ~20 seconds until the new tab is displayed

Reproduced in

Version: 6.2.0.0.beta1+
Build ID: 01fea181faf92a3498370460d3db2254da11c3e2
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2018-12-10 10:33:57 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-6-2&id=3c11aa745cc78f1bde4efacccb22fa818df825c7

author	Caolán McNamara <caolanm@redhat.com>	2018-09-25 12:30:21 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-09-28 15:35:22 +0200
commit	3c11aa745cc78f1bde4efacccb22fa818df825c7 (patch)
tree	09135c2ec9f77b09d371418476a5b6fd6acc54d0
parent	a98058199410bdb183acd0ec5e7899ea4baf6c5a (diff)
weld ScAttrDlg

Bisected with: bibisect-linux64-6.2 

Adding Cc: to Caolán McNamara
Comment 2 Caolán McNamara 2018-12-10 11:16:05 UTC
it takes no discernible time for me to switch tabs. In writer does format->character show the same problem ?, or is it specific to calc's format cell ?
Comment 3 Xisco Faulí 2018-12-10 11:55:58 UTC
I see the same behaviour with the table's number format dialog in writer

STR:
1. Open writer
2. Insert a table
3. Context menu - Number format

but the bisection points me to https://cgit.freedesktop.org/libreoffice/core/commit/?id=bbeeedbbfa0b7a0d1461c5ff703721bce1b7f80a

Maybe it's only reproducible with GTK 3.18.9
Comment 4 Caolán McNamara 2018-12-10 12:24:45 UTC
I guess then it must be the language dropdown as that the thing that has the most entries in it in that page
Comment 5 Caolán McNamara 2018-12-10 14:10:11 UTC
I wonder if the fix for bug 121520 makes a difference to this
Comment 6 Xisco Faulí 2018-12-11 11:31:42 UTC
(In reply to Caolán McNamara from comment #5)
> I wonder if the fix for bug 121520 makes a difference to this

no significant improvement in

Version: 6.3.0.0.alpha0+
Build ID: 0ad2302cf6787cacbbaca081a890a0e356a55297
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 7 Caolán McNamara 2018-12-12 15:45:37 UTC
sample the backtrace when its slow, and see if its stuck in some particular place, e.g. run it under gdb, when it goes into super slow mode, ctrl+c and get a bt, cont, wait a bit, ctrl+c again and see if its about the same bt and if so attach it here
Comment 8 Xisco Faulí 2018-12-18 11:06:07 UTC Comment hidden (obsolete)
Comment 9 Xisco Faulí 2019-02-07 14:07:48 UTC
I upgraded my Linux distro this morning. Now I have GTK3 3.22 and the problem went away. OTOH, I had the same problems sometimes with Firefox. Probably something wrong with my config.
Closing as RESOLVED WONTFIX